## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationException

### Authentication::ezcAuthenticationException

### Class ezcAuthenticationException

Thrown when an exceptional state occurs in the Authentication component.

Source for this file: /Authentication/src/exceptions/authentication_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcAuthenticationException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcAuthenticationLdapException | Thrown when an exceptional state occurs in the LDAP authentication.
ezcAuthenticationOpenidException | Thrown when an exceptional state occurs in the OpenID authentication.
ezcAuthenticationTypekeyException | Thrown when an exceptional state occurs in the TypeKey authentication.
ezcAuthenticationGroupException | Thrown when an error comes up with grouped filters authentication.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcAuthenticationException | `__construct( $message )` Constructs a new ezcAuthenticationException with error message $message.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcAuthenticationException __construct( string $message )

Constructs a new ezcAuthenticationException with error message $message.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string | Message to throw

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcAuthenticationLdapException::__construct()` | Constructs a new ezcAuthenticationLdapException with error message $message and error code $code.
`ezcAuthenticationOpenidException::__construct()` | Constructs a new ezcAuthenticationOpenidException with error message $message.
`ezcAuthenticationOpenidRedirectException::__construct()` | Constructs a new ezcAuthenticationOpenidRedirectException concerning $url.
`ezcAuthenticationOpenidModeNotSupportedException::__construct()` | Constructs a new ezcAuthenticationOpenidModeNotSupportedException with OpenID mode $mode.
`ezcAuthenticationOpenidConnectionException::__construct()` | Constructs a new ezcAuthenticationOpenidConnectionException for the URL $url.
`ezcAuthenticationTypekeyException::__construct()` | Constructs a new ezcAuthenticationTypekeyException with error message $message.
`ezcAuthenticationTypekeyPublicKeysMissingException::__construct()` | Constructs a new ezcAuthenticationTypekeyPublicKeysMissingException with error message $message.
`ezcAuthenticationTypekeyPublicKeysInvalidException::__construct()` | Constructs a new ezcAuthenticationTypekeyPublicKeysInvalidException with error message $message.
`ezcAuthenticationGroupException::__construct()` | Constructs a new ezcAuthenticationGroupException with error message $message.

Documentation generated by phpDocumentor 1.4.3